#include <bits/stdc++.h>
using namespace std;
int main()
{
	ifstream f1("CAU1_14.INP");
	ofstream f2("CAU1_14.OUT");
	int a,b,c,d,e,f,g,h,ucln;
	f1>>a>>b;
	f1>>c>>d;
	e=a*d-b*c;
	f=b*d;
	while (e!=f)
	{
        if (e>f)
		{
            e=e-f;
        }
		else
		{
            f=f-e;
        }
	}
	ucln=e;
	e=a*d-b*c;
	f=b*d;
	g=e/ucln;
	h=f/ucln;
	f2<<g<<' '<<h;
	f1.close();
	f2.close();
}
